﻿// include plug-ins
var gulp = require('gulp');
var babel = require('gulp-babel');
var uglify = require('gulp-uglify');
var postcss = require('gulp-postcss');
var cssnext = require('postcss-cssnext');
var sourcemaps = require('gulp-sourcemaps');

 

gulp.task('uglify' , function () {

    return gulp.src(['source/*.js'])
        .pipe(sourcemaps.init())
        .pipe(uglify())
        .pipe(sourcemaps.write())
        .pipe(gulp.dest('source-minified'));
});

//Set a default tasks
gulp.task('default', ['uglify'], function () { });